%% Initialization of the CSTR plant (Section 4.1)

% Ca -- Concentration (mol/l)
% T -- Temperature (K)
% qc -- Coolant flow rate (l/min)
% q -- Feed flow rate (l/min)
% Cao -- Feed concentration (mol/l)
% T0 -- Feed temperature (K)
% Tc0 -- Inlet coolant temperature (K)
% V -- CSTR volume (l)
% hA -- Heat transfer term (cal/(min K))
% k0 -- Reaction rate constant (min−1 )
% E_R -- Activation energy term (K)
% DeltaH -- Heat of reaction (cal/mol)
% rho rhoc -- Liquid density (g/l)
% Cp Cpc -- Specific heats (cal/(g K))
% h -- amostragem (min)


global Ca T qc

Ca = 0.1;
T = 438.54;
qc = 103.41;

q = 100;
Cao = 1;
T0 = 350;
Tc0 = 350;
V = 100;
hA = 7e5;
k0 = 7.2e10;
E_R = 1e4;
DeltaH = 2e5;
rho = 1e3;
rhoc = 1e3;
Cp = 1; 
Cpc = 1; 
h = 0.1;